// ==============================================================
//		ORBITER MODULE: 'SPIDER' LUNAR EXCURSION MODULE
//			A custom Vessel For Orbiter 2010/2011
//  
// LEM_Switches.h
// Panel Switch Definitions and Labels
// ==============================================================
#pragma once

// FDAI Control Switches
#define SWITCH_FDAI_SCALE	P1_Switch[02]	// FDAI Scale [COARSE, MEDIUM, FINE]
#define SWITCH_FDAI_SELECT	P1_Switch[03]	// Select FDAI Ref Frame [ECC, ORBIT, SURFACE]
#define SWITCH_FDAI_SOURCE	P1_Switch[05]	// Select FDAI NAV source
#define SWITCH_FDAI_MODE	P1_Switch[04]	// Select FDAI target mode

// SPS Gimbal System 
#define SWITCH_TVC_PITCH	P1_Switch[26]	// Pitch mode [AUTO, RATE, ACCEL]
#define SWITCH_TVC_YAW		P1_Switch[27]	// Yaw mode [AUTO, RATE, ACCEL]
#define SWITCH_SPS_PITCH1	P1_Switch[28]	// Positive pitch channel motor [ON/OFF]
#define SWITCH_SPS_PITCH2	P1_Switch[29]	// Negative pitch channel motor [ON/OFF]
#define SWITCH_SPS_YAW1		P1_Switch[30]	// Positive yaw channel motor [ON/OFF]
#define SWITCH_SPS_YAW2		P1_Switch[31]	// Negative yaw channel motor [ON/OFF]

// Earth Landing Sub-System
#define SWITCH_ELS_LOGIC	P1_Switch[33]	// Landing Sub-System [ON/OFF] 
#define SWITCH_ELS_AUTO		P1_Switch[34]	// Landing system control [MAN/AUTO]
